<ng-container>
    <div [ngClass]="trackService.trackHandlerOn ?'track-list-container':'track-list-offline-container'">
        <table class="table table-striped" aria-describedby="Track List">
            <thead>
                <tr>
                    <th align="left" scope="title">
                        <button class="button" *ngIf="minimizedList" title="O" (click)="changeInfoView()">O</button>
                        <button class="button" *ngIf="!minimizedList" title="-" (click)="changeInfoView()">-</button>
                        Track List
                    </th>
                </tr>
                <!-- TODO: Restore Capability to Launch Track From TrackList Component ? 
                    <tr>
                    <th>
                            <button class="button" *ngIf="!launchShipWindow" title="Launch Ship" (click)="openLaunchShipWindow()">Launch Ship</button>
                    </th>
                </tr>-->
            </thead>
            <tbody *ngIf="!minimizedList">
                <tr *ngIf="!trackService.trackHandlerOn"><td><strong>TrackHandler Offline</strong></td></tr>
                <tr *ngIf="tracksViewMap.size > 0"><th scope="SystemTracks"><strong>System Tracks</strong></th></tr>
                <tr *ngFor="let entry of tracksViewMap | keyvalue">
                    <td *ngIf="entry.value.selected" style="background-color:#6051b5ba;" (click)="mapService.selectTrack(entry.key,'SYSTEMTRACK')">[{{entry.key}}] {{entry.value.track.name}}</td>
                    <td *ngIf="!entry.value.selected" (click)="mapService.selectTrack(entry.key, 'SYSTEMTRACK')">[{{entry.key}}] {{entry.value.track.name}}</td>
                </tr>
                <tr *ngIf="aisTracksInfoMap.size > 0"><th scope="AIS Tracks"><strong>AIS Tracks</strong></th></tr>
                <tr *ngFor="let entry of aisTracksInfoMap | keyvalue">
                    <td *ngIf="!entry.value.selected && entry.value.aisTrack.shipName" (click)="mapService.selectTrack(entry.key,'AIS')">[{{entry.key}}] {{entry.value.aisTrack.shipName}}</td>
                    <td *ngIf="!entry.value.selected && !entry.value.aisTrack.shipName" (click)="mapService.selectTrack(entry.key,'AIS')">[{{entry.key}}] {{entry.value.aisTrack.mmsi}}</td>
                    <td *ngIf="entry.value.selected && entry.value.aisTrack.shipName" style="background-color:#6051b5ba;" (click)="mapService.selectTrack(entry.key,'AIS')">[{{entry.key}}] {{entry.value.aisTrack.shipName}}</td>
                    <td *ngIf="entry.value.selected && !entry.value.aisTrack.shipName" style="background-color:#6051b5ba;" (click)="mapService.selectTrack(entry.key,'AIS')">[{{entry.key}}] {{entry.value.aisTrack.mmsi}}</td>
                </tr>
            </tbody>
         </table>
    </div>
</ng-container>

<!-- TODO: Restore Capability to Launch Track From TrackList Component ? 
<ng-container *ngIf="launchShipWindow" >
    <div class="track-list-launch-container" [hidden]="!launchShipWindow">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>
                        <button class="button" title="X" (click)="endLaunchingProcess()">X</button>
                        Ship Launching Area:
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <form *ngIf="launchShipForm" [formGroup]="launchShipForm" (ngSubmit)="launchShip()">
                            <strong>Ship Name: </strong><input class="input" placeholder="Ship Name" formControlName="ownship_name" size="15"><br>
                            <strong><i>Click on Map to Initial Position: </i></strong><br>
                            <ng-template [ngIf]="this.selectedCoordinate != null">
                                <strong>Latitude: </strong>{{ toDegreesMinutesAndSeconds(this.selectedCoordinate.lat) }}{{ this.selectedCoordinate.lat >= 0 ? "N" : "S"}}<br>
                                <strong>Longitude: </strong>{{ toDegreesMinutesAndSeconds(this.selectedCoordinate.lng)}}{{this.selectedCoordinate.lng  >= 0 ? "E" : "W"}}<br>
                            </ng-template>
                            <ng-template [ngIf]="this.selectedCoordinate == null">
                                <i>Waiting click...</i><br> 
                            </ng-template>
                            <strong>Speed Over Ground: </strong> <input class="input" placeholder="00.0" formControlName="ownship_sog" value="00.0" size="3"><br>
                            <strong>Course Over Ground: </strong><input class="input" placeholder="000" formControlName="ownship_cog" value="000" size="3">
                            <button class="button">Launch Ship!</button>
                        </form>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</ng-container>
-->